clang-tools 8.0.0

Classes | Typedefs | Functions
clang::clangd::riff Namespace Reference

## Classes
struct | Chunk
struct | File

## Typedefs
using | FourCC = std::array< char, 4 >

## Functions
static llvm::Error | makeError (const char *Msg)
llvm::Expected< Chunk > | readChunk (llvm::StringRef &Stream)
llvm::raw_ostream & | operator<< (llvm::raw_ostream &OS, const Chunk &C)
llvm::Expected< File > | readFile (llvm::StringRef Stream)
llvm::raw_ostream & | operator<< (llvm::raw_ostream &OS, const File &F)
constexpr FourCC | fourCC (const char(&Literal)[5])
bool | operator== (const Chunk &L, const Chunk &R)
bool | operator== (const File &L, const File &R)

## Typedef Documentation

## ◆ FourCC

using clang::clangd::riff::FourCC = typedef std::array<char, 4>

Definition at line 43 of file RIFF.h.

## Function Documentation

## ◆ fourCC()

constexpr FourCC clang::clangd::riff::fourCC | ( | const char(&) | Literal[5] | ) |
| inline

Definition at line 45 of file RIFF.h.

Referenced by readFile().

## ◆ makeError()

static llvm::Error clang::clangd::riff::makeError | ( | const char * | Msg | ) |
| static

Definition at line 17 of file RIFF.cpp.

Referenced by readChunk(), readFile(), and clang::clangd::readIndexFile().

## ◆ operator<<() [1/2]

llvm::raw_ostream & clang::clangd::riff::operator<< | ( | llvm::raw_ostream & | OS,
|  | const Chunk & | C
| ) |  |

Definition at line 41 of file RIFF.cpp.

References clang::clangd::riff::Chunk::ID.

Referenced by operator==().

## ◆ operator<<() [2/2]

llvm::raw_ostream & clang::clangd::riff::operator<< | ( | llvm::raw_ostream & | OS,
|  | const File & | F
| ) |  |

Definition at line 70 of file RIFF.cpp.

References clang::clangd::riff::File::Chunks.

## ◆ operator==() [1/2]

bool clang::clangd::riff::operator== | ( | const Chunk & | L,
|  | const Chunk & | R
| ) |  |
| inline

Definition at line 53 of file RIFF.h.

References clang::clangd::riff::Chunk::Data, and clang::clangd::riff::Chunk::ID.

## ◆ operator==() [2/2]

bool clang::clangd::riff::operator== | ( | const File & | L,
|  | const File & | R
| ) |  |
| inline

Definition at line 61 of file RIFF.h.

References clang::clangd::riff::File::Chunks, operator<<(), readChunk(), readFile(), and clang::clangd::riff::File::Type.

## ◆ readChunk()

llvm::Expected< Chunk > clang::clangd::riff::readChunk | ( | llvm::StringRef & | Stream | ) |

Definition at line 21 of file RIFF.cpp.

References clang::clangd::riff::Chunk::Data, clang::clangd::riff::Chunk::ID, and makeError().

Referenced by operator==(), and readFile().

## ◆ readFile()

llvm::Expected< File > clang::clangd::riff::readFile | ( | llvm::StringRef | Stream | ) |

Definition at line 52 of file RIFF.cpp.

References clang::clangd::riff::File::Chunks, fourCC(), makeError(), readChunk(), clang::clangd::RIFF, and clang::clangd::riff::File::Type.

Referenced by operator==().